import request from '@/utils/request'

// 查询项目特种人员列表
export function listSurProjectSpecial(query) {
  return request({
    url: '/project/surProjectSpecial/list',
    method: 'get',
    params: query
  })
}

// 查询项目特种人员数量统计
export function findWorkSpecialCount(query) {
  return request({
    url: '/project/surProjectSpecial/findWorkSpecialCount',
    method: 'get',
    params: query
  })
}

// 查询项目特种人员详细
export function getSurProjectSpecial(id) {
  return request({
    url: '/project/surProjectSpecial/' + id,
    method: 'get'
  })
}

// 新增项目特种人员
export function addSurProjectSpecial(data) {
  return request({
    url: '/project/surProjectSpecial',
    method: 'post',
    data: data
  })
}

// 修改项目特种人员
export function updateSurProjectSpecial(data) {
  return request({
    url: '/project/surProjectSpecial',
    method: 'put',
    data: data
  })
}

// 删除项目特种人员
export function delSurProjectSpecial(id) {
  return request({
    url: '/project/surProjectSpecial/' + id,
    method: 'delete'
  })
}
